Name:          libXdamage
Version:       1.1.5
Release:       3
Summary:       X Damage extension library
License:       MIT
URL:           https://www.x.org
Source0:       https://www.x.org/archive/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: xorg-x11-util-macros autoconf automake libtool  
BuildRequires: pkgconfig(xfixes) pkgconfig(damageproto)

%description
The X Damage Extension allows applications to track modified regions
of drawables.

%package       devel
Summary:       Development files and Header files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure  --disable-static 
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/libXdamage.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/*.pc

%files  help
%defattr(-,root,root)
%doc README.md ChangeLog

%changelog
* Fri Nov 04 2022 wangkerong <wangkerong@h-partners.com> - 1.1.5-3
- disable static library

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.1.5-2
- Rebuild for next release

* Tue Jul 28 2020 songnannan <songnannan2@huawei.com> - 1.1.5-1
- update to 1.1.5

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-18
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Fri Sep 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-17
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:Merging static package into devel package

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-16
- Package init
